﻿using System.Diagnostics;
using System.IO;
using System.Runtime.InteropServices;

namespace git_fault
{
    internal class ProgramOpener
    {
        public static void Open(string path)
        {
            if (RuntimeInformation.IsOSPlatform(OSPlatform.Windows))
            {
                Process.Start(new ProcessStartInfo("cmd", $"/c start \"\" \"{path}\""));
            }
            else if (RuntimeInformation.IsOSPlatform(OSPlatform.Linux))
            {
                Process.Start("xdg-open", path);
            }
            else if (RuntimeInformation.IsOSPlatform(OSPlatform.OSX))
            {
                Process.Start("open", path);
            }
        }

        public static void DeleteDirectory(string target_dir, bool only_content)
        {
            if (!Directory.Exists(target_dir))
                return;
            string[] files = Directory.GetFiles(target_dir);
            string[] dirs = Directory.GetDirectories(target_dir);

            foreach (string file in files)
            {
                File.SetAttributes(file, FileAttributes.Normal);
                File.Delete(file);
            }

            foreach (string dir in dirs)
            {
                DeleteDirectory(dir, false);
            }

            if (!only_content)
                Directory.Delete(target_dir);
        }
    }
}